Subject: Re: Apache/PHP installation puzzle
From: [email-masked]
Cc: [email-masked]
Date: Mon, 15 Sep 2003 08:11:01 +0200

Dave,

Do you run PHP as CGI or as php_mod ?

If CGI, then you should place your PHP scripts in /cgi-bin/,
prepend '#!/usr/bin/php' or whatever, and make your
scripts executable. Also control  your php.ini file.

If you run PHP as php_mod, then you must add the
following lines to your apache httpd.conf file :

AddType application/x-httpd-php .php
AddType application/x-httpd-php .phtml
AddType application/x-httpd-php .php3

for whatever file extensions you need.

After this, check again your php.ini file.

I think it should be installed, I have it here on my system,
installed from standard cygwin. It doesn't run here, but
for other reasons, so I use the CGI, which I compiled
from scratch. I do not need the performance, only the
functionality.

Regards,

Jurgen

<[email-masked]>
Sent by: 
[email-masked]
09/13/2003 02:25 PM

        To:     <[email-masked]>
        cc:     (bcc: Jurgen Defurne/BRG/CE/PHILIPS)
        Subject:        Apache/PHP installation puzzle
        Classification: 

Fellow Cygwinners!

Now I fully expect to be told to RTFM --- but here goes anyway!

I've installed Cygwin on a W2K workstation primarily for the purpose of 
running 
Postgres and for this it works admirably. All installations have worked 
flawlessly.

Encouraged by the performance of Cygwin I decided that I would replace the 

local Windows IIS 'Personal Web Server' with Apache +PHP.  I started the 
Setup 
program, selected Apache and the PHP library and initiated the 
installation. 
The installation reported complete with no errors or warnings.  I started 
the 
Apache server and accessing 'localhost/index.html' produced the desired 
result -
 Apache is up and running.  I then wrote the approved php test script ( <?
phpinfo()?> ) and pointed the browser to 'localhost/tester.php'.  No PHP!! 
 I 
checked the /etc/postinstall directory and the presence of 
apache-php-sh.done 
rather indicates that installation was OK.  To check I deleted this file, 
re-
installed the PHP library alone and, again, installation appears OK with 
no 
errors.  I checked in the setup logs - again, no errors.  However, nowhere 
on 
the system is the a libphp4 of any description to be found and so I can't 
see 
how I can add the LoadModule line to the httpd.conf file.

I've spent a couple of hours Googling and searching the mail archives but 
have 
not seen this problem refered to anywhere else. I would appreciate a nudge 
in 
the right direction,

Regards,

Dave.

--------------------------------------------------------------
Sent with "Me-Mail", Boltblue's FREE mobile messaging service.
http://www.boltblue.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/